%define major                 1
%define libqt5extserialport   %mklibname qt5extserialport %{major}
%define libqt5extserialport_d %mklibname qt5extserialport -d

Name:           qextserialport
Version:        1.2
Release:        %mkrel 13
Summary:        Interface to old fashioned serial ports for Qt-based applications
Group:          Development/KDE and Qt
License:        MIT
URL:            https://code.google.com/p/qextserialport/ 
Source0:        http://qextserialport.googlecode.com/files/%{name}-%{version}rc.zip

BuildRequires:  pkgconfig(Qt5Core)

%description
QextSerialPort provides an interface to old fashioned serial ports
for Qt-based applications.

#------------------------------------------------------------------------------

%package -n     %{libqt5extserialport}
Summary:        Interface to old fashioned serial ports for Qt5-based applications
Group:          System/Libraries

%description -n %{libqt5extserialport}
QextSerialPort provides an interface to old fashioned serial ports
for Qt5-based applications.

%files -n %{libqt5extserialport}
%_libdir/libQt5ExtSerialPort.so.%{major}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt5extserialport_d}
Summary:        Devel files needed to build apps based on qt5extserialport
Group:          Development/KDE and Qt
Requires:       %{libqt5extserialport} = %{version}
Provides:       qt5extserialport-devel = %{version}-%{release}
Provides:       libqt5extserialport-devel = %{version}-%{release}

%description -n %{libqt5extserialport_d}
Devel files needed to build apps based on qt5extserialport.

%files -n %{libqt5extserialport_d}
%_qt5_includedir/QtExtSerialPort/
%_libdir/libQt5ExtSerialPort.prl
%_libdir/libQt5ExtSerialPort.so
%_libdir/qt5/mkspecs/features/extserialport.prf

#-----------------------------------------------------------------------------
### Qt4 ###

%define libqextserialport   %mklibname %{name} %{major}
%define libqextserialport_d %mklibname %{name} -d

%package -n     %{libqextserialport}
Summary:        Interface to old fashioned serial ports for Qt-based applications
Group:          System/Libraries
BuildRequires:  pkgconfig(QtCore)

%description -n %{libqextserialport}
QextSerialPort provides an interface to old fashioned serial ports
for Qt-based applications.

%files -n %{libqextserialport}
%_libdir/libqextserialport.so.%{major}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqextserialport_d}
Summary:        Devel files needed to build apps based on %{name}
Group:          Development/KDE and Qt
Requires:       %{libqextserialport} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libqextserialport_d}
Devel files needed to build apps based on %{name}.

%files -n %{libqextserialport_d}
%_includedir/QtExtSerialPort
%_libdir/libqextserialport.prl
%_libdir/libqextserialport.so
%_libdir/qt4/mkspecs/features/extserialport.prf

### End Qt4 ###
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}rc

cp -a . %{_builddir}/qt4

%build
### Qt5 build ###
%qmake_qt5
%make_build

### Qt4 build ###
pushd ../qt4
%qmake_qt4
%make_build
popd

%install
### Qt5 install ###
%make_install INSTALL_ROOT=%{buildroot}

### Qt4 install ###
%make_install -C ../qt4 INSTALL_ROOT=%{buildroot}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2-13.mga10
+ Revision: 2214192
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.2-12.mga9
+ Revision: 1842146
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.2-11.mga8
+ Revision: 1659479
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.2-10.mga8
+ Revision: 1527904
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 daviddavid <daviddavid> 1.2-9.mga8
+ Revision: 1424447
- rebuild for new Qt5 headers path

* Mon Apr 01 2019 umeabot <umeabot> 1.2-8.mga7
+ Revision: 1384189
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-7.mga7
+ Revision: 1300647
- Mageia 7 Mass Rebuild

* Tue Aug 09 2016 daviddavid <daviddavid> 1.2-6.mga6
+ Revision: 1045154
- add the support for Qt5 and make it the default in spec

* Sat Feb 06 2016 umeabot <umeabot> 1.2-5.mga6
+ Revision: 941023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 745231
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 688480
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 521874
- Mageia 4 Mass Rebuild

* Sun Jan 27 2013 neoclust <neoclust> 1.2-1.mga3
+ Revision: 392626
- imported package qextserialport

